# Class TimeSurfaceFactory.Profile

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile

Enclosing class:
  `TimeSurfaceFactory`

public static class TimeSurfaceFactory.Profile extends Object
Profile class which defines fixed configuration items for a TimeSurface. Instances of this class are usually obtained from the `createProfile` method.

Since:
  15 Aug 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Profile(boolean ylog, boolean yflip, String tlabel, String ylabel, DoubleUnaryOperator t2func, DoubleUnaryOperator y2func, String t2label, String y2label, Captioner captioner, Color gridcolor, double tcrowd, double ycrowd, OrientationPolicy orientpolicy, TimeFormat tformat, boolean minor, boolean shadow, SideFlags annotateflags)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TimeSurfaceFactory.Profile`
`fixAnnotation(SideFlags annotateflags)`
Returns a new profile instance the same as this one, except that the flags for which sides to annotate are replaced.
`boolean`
`getYLog()`
Indicates whether Y axis is logarithmic.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Profile

public Profile(boolean ylog, boolean yflip, String tlabel, String ylabel, DoubleUnaryOperator t2func, DoubleUnaryOperator y2func, String t2label, String y2label, Captioner captioner, Color gridcolor, double tcrowd, double ycrowd, OrientationPolicy orientpolicy, TimeFormat tformat, boolean minor, boolean shadow, SideFlags annotateflags)
Constructor.

Parameters:
  `ylog` - whether to use logarithmic scaling on Y axis
  `yflip` - whether to invert direction of Y axis
  `tlabel` - text for labelling time axis
  `ylabel` - text for labelling Y axis
  `t2func` - function mapping unix time values to secondary time data coords, or null for no secondary time axis
  `y2func` - function mapping primary to secondary Y data coords, or null for no secondary Y axis
  `t2label` - text for labelling secondary time axis
  `y2label` - text for labelling secondary Y axis
  `captioner` - text renderer for axis labels etc
  `gridcolor` - colour of grid lines, or null for none
  `tcrowd` - crowding factor for tick marks on time axis; 1 is normal
  `ycrowd` - crowding factor for tick marks on Y axis; 1 is normal
  `orientpolicy` - tick label orientation policy
  `tformat` - time labelling format
  `minor` - whether to draw minor ticks
  `shadow` - whether to paint shadow ticks on opposite axes if no secondary axis
  `annotateflags` - which sides to annotate

## Method Details

### getYLog

public boolean getYLog()
Indicates whether Y axis is logarithmic.

Returns:
  true for Y logarithmic scaling, false for linear

### fixAnnotation

public TimeSurfaceFactory.Profile fixAnnotation(SideFlags annotateflags)
Returns a new profile instance the same as this one, except that the flags for which sides to annotate are replaced.

Parameters:
  `annotateflags` - which sides to annotate